part of 'training_plan_bloc.dart';

abstract class TrainingPlanEvent extends Equatable {
  const TrainingPlanEvent();

  @override
  List<Object> get props => [];
}

class TrainingPlanLoad extends TrainingPlanEvent {
  const TrainingPlanLoad();
}

class TrainingPlanActivate extends TrainingPlanEvent {
  final int trainingPlanId;
  const TrainingPlanActivate({required this.trainingPlanId});

  @override
  List<Object> get props => [trainingPlanId];
}

class TrainingPlanWeightChange extends TrainingPlanEvent {
  final CustomerTrainingPlanDetails detail;
  final double weight;
  const TrainingPlanWeightChange({required this.weight, required this.detail});

  @override
  List<Object> get props => [weight, detail];
}

class TrainingPlanRepeatsChange extends TrainingPlanEvent {
  final CustomerTrainingPlanDetails detail;
  final int repeats;
  const TrainingPlanRepeatsChange({required this.repeats, required this.detail});

  @override
  List<Object> get props => [repeats, detail];
}

class TrainingPlanSetChange extends TrainingPlanEvent {
  final CustomerTrainingPlanDetails detail;
  final int set;
  const TrainingPlanSetChange({required this.set, required this.detail});

  @override
  List<Object> get props => [set, detail];
}

class TrainingPlanSaveExercise extends TrainingPlanEvent {
  final CustomerTrainingPlanDetails detail;
  const TrainingPlanSaveExercise({required this.detail});

  @override
  List<Object> get props => [detail];
}

class TrainingPlanFinishDay extends TrainingPlanEvent {
  const TrainingPlanFinishDay();
}

class TrainingPlanRestart extends TrainingPlanEvent {
  const TrainingPlanRestart();
}

class TrainingPlanGoToRestart extends TrainingPlanEvent {
  const TrainingPlanGoToRestart();
}

class TrainingPlanSkipExercise extends TrainingPlanEvent {
  final CustomerTrainingPlanDetails detail;
  const TrainingPlanSkipExercise({required this.detail});

  @override
  List<Object> get props => [detail];
}

class TrainingPlanAddExerciseType extends TrainingPlanEvent {
  const TrainingPlanAddExerciseType();
}

class TrainingPlanDeleteExerciseType extends TrainingPlanEvent {
  final ExerciseType exerciseType;
  const TrainingPlanDeleteExerciseType({required this.exerciseType});

  @override
  List<Object> get props => [exerciseType];
}

class TrainingPlanCustomAddLoad extends TrainingPlanEvent {
  final ExerciseType exerciseType;
  const TrainingPlanCustomAddLoad({required this.exerciseType});

  @override
  List<Object> get props => [exerciseType];
}
